## libdng 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.23)
project(libdng C)

set(CMAKE_C_STANDARD 23)
set(LIBRARY_VERSION_MAJOR 0)
set(LIBRARY_VERSION_STRING 0.1)
set(CMAKE_C_VISIBILITY_PRESET hidden)

add_definitions(-D_XOPEN_SOURCE=700)

add_library(libdng SHARED include/libdng.h src/libdng.c src/dng.h src/mode.c src/repack.c src/repack.h src/dcp.c)

set_target_properties(libdng PROPERTIES
        VERSION ${LIBRARY_VERSION_STRING}
        SOVERSION ${LIBRARY_VERSION_MAJOR}
        PUBLIC_HEADER include/libdng.h)
target_include_directories(libdng PUBLIC include)
target_link_libraries(libdng "tiff")

add_executable(makedng util/makedng.c)
target_include_directories(makedng PUBLIC include)
target_link_libraries(makedng PUBLIC libdng)

add_executable(dngmerge util/dngmerge.c)
target_include_directories(dngmerge PUBLIC include)
target_link_libraries(dngmerge PUBLIC libdng)

find_program(BASH bash)
enable_testing()

find_program(DNG_VALIDATE dng_validate)
if (DNG_VALIDATE)
    add_test(NAME test_dng_validate COMMAND ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/tests/test_dng_validate.sh $<TARGET_FILE:makedng>)
endif (DNG_VALIDATE)

add_subdirectory(tests)

=== tests/CMakeLists.txt ===
find_package(Check)
include_directories(${CHECK_INCLUDE_DIRS})
link_directories(${CHECK_LIBRARY_DIRS})

add_executable(check_mode check_mode.c greatest.h)
target_include_directories(check_mode PUBLIC include)
target_link_libraries(check_mode PUBLIC libdng check)

add_executable(check_dng check_dng.c greatest.h)
target_include_directories(check_dng PUBLIC include)
target_link_libraries(check_dng PUBLIC libdng check)

add_executable(check_dcp check_dcp.c greatest.h)
target_include_directories(check_dcp PUBLIC include)
target_link_libraries(check_dcp PUBLIC libdng check)
configure_file(fixture/pinephone.dcp ${CMAKE_CURRENT_BINARY_DIR}/fixture/pinephone.dcp COPYONLY)

add_test(NAME check_mode COMMAND check_mode)
add_test(NAME check_dng COMMAND check_dng)
add_test(NAME check_dcp COMMAND check_dcp)

=== debian/changelog ===
libdng (0.2.1-2) unstable; urgency=medium

  * d/control: update minimum libtiff version.
    Also bump `Standards-Version` as no change is required. (Closes: #1106598)

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 11 Jul 2025 14:10:03 +0200

libdng (0.2.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #1092358)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 07 Jan 2025 18:06:10 +0100

=== debian/control ===
Source: libdng
Section: libs
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtiff-dev (>= 4.7.0),
 meson,
 pkgconf,
 scdoc,
Standards-Version: 4.7.2
Homepage: https://gitlab.com/megapixels-org/libdng
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libdng
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libdng.git
Rules-Requires-Root: no

Package: libdng1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for generating DNG files -- Shared library
 libdng makes it easier to generate valid DNG files following the
 Adobe Digital Negative specification.
 .
 Its main features are:
  * Writing DNG 1.4.0 compliant TIFF files
  * Parsing DCP files for extra color processing metadata
  * Some DNG reading support for the `dngmerge` utility
  * Isolating applications from the changing libtiff APIs
 .
 This package contains the shared library itself.

Package: libdng-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libdng1 (= ${binary:Version}),
Description: Library for generating DNG files -- Development files
 libdng makes it easier to generate valid DNG files following the
 Adobe Digital Negative specification.
 .
 This package contains the development files for building software
 making use of libdng.

Package: libdng-utils
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for generating DNG files -- Utility programs
 libdng makes it easier to generate valid DNG files following the
 Adobe Digital Negative specification.
 .
 This package contains the `makedng` utility, allowing one to generate
 DNG files from raw sensor dumps.

## libdng 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,10 @@
 target_include_directories(dngmerge PUBLIC include)
 target_link_libraries(dngmerge PUBLIC libdng)
 
+add_executable(dumpdng util/dumpdng.c)
+target_include_directories(dumpdng PUBLIC include)
+target_link_libraries(dumpdng PUBLIC libdng)
+
 find_program(BASH bash)
 enable_testing()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,11 @@
 target_link_libraries(check_dcp PUBLIC libdng check)
 configure_file(fixture/pinephone.dcp ${CMAKE_CURRENT_BINARY_DIR}/fixture/pinephone.dcp COPYONLY)
 
+add_executable(check_repack check_repack.c greatest.h)
+target_include_directories(check_repack PUBLIC include)
+target_link_libraries(check_repack PUBLIC libdng check)
+
 add_test(NAME check_mode COMMAND check_mode)
 add_test(NAME check_dng COMMAND check_dng)
 add_test(NAME check_dcp COMMAND check_dcp)
+add_test(NAME check_repack COMMAND check_repack)

=== debian/changelog ===
libdng (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patches
  * d/watch: update to version 5
  * d/control: drop obsolete Rules-Requires-Root
  * d/symbols: update for new upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 11 Nov 2025 12:39:12 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://gitlab.com/megapixels-org/libdng
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libdng
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libdng.git
-Rules-Requires-Root: no
 
 Package: libdng1
 Architecture: any
